Community
cancel
Showing results for 
Search instead for 
Did you mean: 
JSund3
Beginner
1,067 Views

i have this error when i launch Star Wars Battlefront 2,it said i need driver version xx.xx.15.48 or later, what should i do?

i have i5-8250U cpu

and MX-150 graphic card

0 Kudos
1 Reply
RAJU2529
New Contributor III
220 Views

same error message I received while I try to open need for speed payback edition 27GB . Even though I has updated drivers intel and nvidia from my asus support website

I am using asus laptop i5 7200U with nvidia 940mx gddr5 .

 

You can continue to play , slight difference you may experience while playing . Click yes and continue to play